-- --------------------
-- VERFEINERUNGSSCHRITT
-- --------------------

-- SDO_RELATE

-- Rechteckanfrage auf Tabelle "GeoDbLand":
SELECT name
FROM GeoDbLand
WHERE SDO_RELATE (geo, SDO_GEOMETRY(2003,null,null,
                    SDO_ELEM_INFO_ARRAY(1,1003,3),
                    SDO_ORDINATE_ARRAY(5,5, 15,15)),
                  'mask=ANYINTERACT') = 'TRUE';
-- Rechteckanfrage auf "MMSpatialLand":
SELECT name
FROM MMSpatialLand
WHERE SDO_RELATE (geo, ST_POLYGON.FROM_WKT('POLYGON((5 5, 5 15, 15 15, 15 5, 5 5))'),
                  'mask=ANYINTERACT') = 'TRUE';

-- analog (ab Oracle 10):
SELECT name
FROM GeoDbLand
WHERE SDO_ANYINTERACT (geo, SDO_GEOMETRY(2003,null,null,
                          SDO_ELEM_INFO_ARRAY(1,1003,3),
                          SDO_ORDINATE_ARRAY(5,5, 15,15))) = 'TRUE';
SELECT name
FROM MMSpatialLand
WHERE SDO_ANYINTERACT (geo, ST_POLYGON.FROM_WKT('POLYGON((5 5, 5 15, 15 15, 15 5, 5 5))')) = 'TRUE';

-- SDO_WITHIN_DISTANCE

SELECT netz.name, SDO_GEOM.SDO_DISTANCE(netz.gebiet,gem.centrum,1e-5,'unit=km')
FROM Ortsnetze netz INNER JOIN Gemeinden gem
ON SDO_WITHIN_DISTANCE (netz.gebiet, gem.centrum,'distance=5 unit=km') = 'TRUE'
WHERE gem.name = 'Bad Zwischenahn';

SELECT g1.name, g1.geo.ST_DISTANCE(g2.geo)
FROM MMSpatialLand g1 INNER JOIN MMSpatialLand g2
ON SDO_WITHIN_DISTANCE (g1.geo, g2.geo,'distance=5') = 'TRUE'
WHERE g2.name = 'Flaggenmast';
